com.digi.xbee.api.models

## Enum XBeeProtocol

- java.lang.Object
- - java.lang.Enum<XBeeProtocol>
  - - com.digi.xbee.api.models.XBeeProtocol

- All Implemented Interfaces:
    Serializable, Comparable<XBeeProtocol>

      public enum XBeeProtocol
      extends Enum<XBeeProtocol>

  Enumerates the available XBee protocols. The XBee protocol is determined by the combination of hardware and firmware of an XBee device.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIGI_MESH`
    `DIGI_POINT`
    `RAW_802_15_4`
    `SMART_ENERGY`
    `UNKNOWN`
    `XBEE_WIFI`
    `XC`
    `XCITE`
    `XLR`
    `XLR_DM`
    `XTEND`
    `XTEND_DM`
    `ZIGBEE`
    `ZNET`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XBeeProtocol` | `determineProtocol(HardwareVersion hardwareVersion, String firmwareVersion)` Determines the XBee protocol based on the given Hardware and firmware versions.
    `static XBeeProtocol` | `get(int id)` Returns the `XBeeProtocol` associated to the given ID.
    `String` | `getDescription()` Returns the XBee protocol description.
    `int` | `getID()` Returns the XBee protocol ID.
    `String` | `toString()`
    `static XBeeProtocol` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static XBeeProtocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DIGI_MESH

          public static final XBeeProtocol DIGI_MESH

    - #### DIGI_POINT

          public static final XBeeProtocol DIGI_POINT

    - #### RAW_802_15_4

          public static final XBeeProtocol RAW_802_15_4

    - #### SMART_ENERGY

          public static final XBeeProtocol SMART_ENERGY

    - #### UNKNOWN

          public static final XBeeProtocol UNKNOWN

    - #### XBEE_WIFI

          public static final XBeeProtocol XBEE_WIFI

    - #### XC

          public static final XBeeProtocol XC

    - #### XCITE

          public static final XBeeProtocol XCITE

    - #### XLR

          public static final XBeeProtocol XLR

    - #### XLR_DM

          public static final XBeeProtocol XLR_DM

    - #### XTEND

          public static final XBeeProtocol XTEND

    - #### XTEND_DM

          public static final XBeeProtocol XTEND_DM

    - #### ZIGBEE

          public static final XBeeProtocol ZIGBEE

    - #### ZNET

          public static final XBeeProtocol ZNET

  - ### Method Detail

    - #### determineProtocol

          public static XBeeProtocol determineProtocol(HardwareVersion hardwareVersion,
                                       String firmwareVersion)

      Determines the XBee protocol based on the given Hardware and firmware versions.
      Parameters:
        `hardwareVersion` - The hardware version of the protocol to determine.
        `firmwareVersion` - The firmware version of the protocol to determine.
      Returns:
        The XBee protocol corresponding to the given hardware and firmware versions.
      See Also:
        `HardwareVersion`

    - #### get

          public static XBeeProtocol get(int id)

      Returns the `XBeeProtocol` associated to the given ID.
      Parameters:
        `id` - The ID of the `XBeeProtocol` to retrieve.
      Returns:
        The `XBeeProtocol` associated to the given ID.

    - #### getDescription

          public String getDescription()

      Returns the XBee protocol description.
      Returns:
        XBee protocol description.

    - #### getID

          public int getID()

      Returns the XBee protocol ID.
      Returns:
        XBee protocol ID.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<XBeeProtocol>`

    - #### valueOf

          public static XBeeProtocol valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static XBeeProtocol[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XBeeProtocol c : XBeeProtocol.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

© Copyright 2014–2014 Digi International Inc. All rights reserved.